datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaHumanWGDASLv3 <- function(){

cat("####Mappings based on RefSeqID####\n\n\n")

 showQCData("illuminaHumanWGDASLv3", datacache)

cat("\n\n####Custom Mappings based on probe sequence####\n\n\n")

illuminaHumanWGDASLv3listNewMappings()


}


illuminaHumanWGDASLv3_dbconn <- function() dbconn(datacache)
illuminaHumanWGDASLv3_dbfile <- function() dbfile(datacache)
illuminaHumanWGDASLv3_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaHumanWGDASLv3_dbInfo <- function() dbInfo(datacache)

illuminaHumanWGDASLv3ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaHumanWGDASLv3.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "illuminaHumanWGDASLv3", "chip illuminaHumanWGDASLv3", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("illuminaHumanWGDASLv3.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaHumanWGDASLv3_dbconn())
}

##Custom Bimaps for the package

illuminaHumanWGDASLv3ARRAYADDRESS <- createSimpleBimap("ExtraInfo", "IlluminaID","ArrayAddress", datacache, "ARRAYADDRESS","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3NUID <- createSimpleBimap("ExtraInfo", "IlluminaID","NuID", datacache, "NUID","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3PROBESEQUENCE <- createSimpleBimap("ExtraInfo", "IlluminaID","ProbeSequence", datacache, "PROBESEQUENCE","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3PROBEQUALITY <- createSimpleBimap("ExtraInfo", "IlluminaID","ProbeQuality", datacache, "PROBEQUALITY","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3CODINGZONE <- createSimpleBimap("ExtraInfo", "IlluminaID","CodingZone", datacache, "CODINGZONE","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3GENOMICLOCATION <- createSimpleBimap("ExtraInfo", "IlluminaID","GenomicLocation", datacache, "GENOMICLOCATION","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3GENOMICMATCHSIMILARITY <- createSimpleBimap("ExtraInfo", "IlluminaID","GenomicMatchSimilarity", datacache, "GENOMICMATCHSIMILARITY","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3SECONDMATCHES <- createSimpleBimap("ExtraInfo", "IlluminaID","SecondMatches", datacache, "SECONDMATCHES","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3SECONDMATCHSIMILARITY <- createSimpleBimap("ExtraInfo", "IlluminaID","SecondMatchSimilarity", datacache, "SECONDMATCHSIMILARITY","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3TRANSCRIPTOMICMATCHSIMILARITY <- createSimpleBimap("ExtraInfo", "IlluminaID","TranscriptomicMatchSimilarity", datacache, "TRANSCRIPTOMICMATCHSIMILARITY","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3OTHERGENOMICMATCHES <- createSimpleBimap("ExtraInfo", "IlluminaID","OtherGenomicMatches", datacache, "OTHERGENOMICMATCHES","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3REPEATMASK <- createSimpleBimap("ExtraInfo", "IlluminaID","RepeatMask", datacache, "REPEATMASK","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3CONTAINSSNP <- createSimpleBimap("ExtraInfo", "IlluminaID","ContainsSNP", datacache, "CONTAINSSNP","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3ENTREZREANNOTATED <- createSimpleBimap("ExtraInfo", "IlluminaID","EntrezReannotated", datacache, "ENTREZREANNOTATED","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3ENSEMBLREANNOTATED <- createSimpleBimap("ExtraInfo", "IlluminaID","EnsemblReannotated", datacache, "ENSEMBLREANNOTATED","illuminaHumanWGDASLv3.db")

illuminaHumanWGDASLv3listNewMappings = function(){
cat("illuminaHumanWGDASLv3ARRAYADDRESS()\n") 
cat("illuminaHumanWGDASLv3NUID()\n") 
cat("illuminaHumanWGDASLv3PROBESEQUENCE()\n") 
cat("illuminaHumanWGDASLv3PROBEQUALITY()\n") 
cat("illuminaHumanWGDASLv3CODINGZONE()\n") 
cat("illuminaHumanWGDASLv3GENOMICLOCATION()\n") 
cat("illuminaHumanWGDASLv3GENOMICMATCHSIMILARITY()\n") 
cat("illuminaHumanWGDASLv3SECONDMATCHES()\n") 
cat("illuminaHumanWGDASLv3SECONDMATCHSIMILARITY()\n") 
cat("illuminaHumanWGDASLv3TRANSCRIPTOMICMATCHSIMILARITY()\n") 
cat("illuminaHumanWGDASLv3OTHERGENOMICMATCHES()\n") 
cat("illuminaHumanWGDASLv3REPEATMASK()\n") 
cat("illuminaHumanWGDASLv3CONTAINSSNP()\n") 
cat("illuminaHumanWGDASLv3ENTREZREANNOTATED()\n") 
cat("illuminaHumanWGDASLv3ENSEMBLREANNOTATED()\n") 
}
illuminaHumanWGDASLv3fullReannotation = function(){
dbGetQuery(illuminaHumanWGDASLv3_dbconn(), "SELECT * FROM ExtraInfo")
}
